| # Gaudi Framework, version v20r2
Generated: 18 Jul 2008

- Main Page
- Namespaces
- Classes
- Files
- Directories
- Related Pages

- Search for |

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# NTuple::Directory Class Reference

`#include <NTuple.h>`

Inheritance diagram for NTuple::Directory:

[legend]
Collaboration diagram for NTuple::Directory:

[legend]
List of all members.

## Detailed Description

Small class representing an N tuple directory in the transient store.

Definition at line 1063 of file NTuple.h.

## Public Member Functions
| Directory ()
| Standard constructor.
virtual | ~Directory ()
| Standard destructor.
virtual const CLID & | clID () const
| class ID of the object
## Static Public Member Functions
static const CLID & | classID ()
| class ID of the object

## Constructor & Destructor Documentation

NTuple::Directory::Directory | ( |  | ) | `[inline]`

Standard constructor.

Definition at line 1066 of file NTuple.h.

    01066                   {
    01067     }

virtual NTuple::Directory::~Directory | ( |  | ) | `[inline, virtual]`

Standard destructor.

Definition at line 1069 of file NTuple.h.

    01069                            {
    01070     }

## Member Function Documentation

static const CLID& NTuple::Directory::classID | ( |  | ) | `[inline, static]`

class ID of the object

Reimplemented from DataObject.

Reimplemented in NTuple::File.

Definition at line 1072 of file NTuple.h.

References CLID_NTupleDirectory.

Referenced by clID().

    01072                                     {
    01073       return CLID_NTupleDirectory;
    01074     }

virtual const CLID& NTuple::Directory::clID | ( |  | ) | const`[inline, virtual]`

class ID of the object

Reimplemented from DataObject.

Reimplemented in NTuple::File.

Definition at line 1076 of file NTuple.h.

References classID().

    01076                                           {
    01077       return Directory::classID();
    01078     }

The documentation for this class was generated from the following file:

- /afs/cern.ch/sw/Gaudi/releases/GAUDI/GAUDI_v20r2/GaudiKernel/v25r2/GaudiKernel/NTuple.h